GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
gdcm::DirectoryHelper Class Reference

DirectoryHelper this class is designed to help mitigate some of the commonly performed operations on directories. namely: 1) the ability to determine the number of series in a directory by what type of series is present 2) the ability to find all ct series in a directory 3) the ability to find all mr series in a directory 4) to load a set of DataSets from a series that's already been sorted by the IPP sorter 5) For rtstruct stuff, you need to know the sopinstanceuid of each z plane, so there's a retrieval function for that 6) then a few other functions for rtstruct writeouts. More...

`#include <gdcmDirectoryHelper.h>`

## Static Public Member Functions

static Directory::FilenamesType | GetCTImageSeriesUIDs (const std::string &inDirectory)
static Directory::FilenamesType | GetFilenamesFromSeriesUIDs (const std::string &inDirectory, const std::string &inSeriesUID)
static std::string | GetFrameOfReference (const std::vector< DataSet > &inDS)
static Directory::FilenamesType | GetMRImageSeriesUIDs (const std::string &inDirectory)
static Directory::FilenamesType | GetRTStructSeriesUIDs (const std::string &inDirectory)
static Directory::FilenamesType | GetSeriesUIDsBySOPClassUID (const std::string &inDirectory, const std::string &inSOPClassUID)
static std::string | GetSOPClassUID (const std::vector< DataSet > &inDS)
static std::string | GetStringValueFromTag (const gdcm::Tag &t, const gdcm::DataSet &ds)
static std::vector< DataSet > | LoadImageFromFiles (const std::string &inDirectory, const std::string &inSeriesUID)
static std::string | RetrieveSOPInstanceUIDFromIndex (int inIndex, const std::vector< DataSet > &inDS)
static std::string | RetrieveSOPInstanceUIDFromZPosition (double inZPos, const std::vector< DataSet > &inDS)

## Detailed Description

DirectoryHelper this class is designed to help mitigate some of the commonly performed operations on directories. namely: 1) the ability to determine the number of series in a directory by what type of series is present 2) the ability to find all ct series in a directory 3) the ability to find all mr series in a directory 4) to load a set of DataSets from a series that's already been sorted by the IPP sorter 5) For rtstruct stuff, you need to know the sopinstanceuid of each z plane, so there's a retrieval function for that 6) then a few other functions for rtstruct writeouts.

## Member Function Documentation

static Directory::FilenamesType gdcm::DirectoryHelper::GetCTImageSeriesUIDs | ( | const std::string & | inDirectory | ) |

static

static Directory::FilenamesType gdcm::DirectoryHelper::GetFilenamesFromSeriesUIDs | ( | const std::string & | inDirectory,
|  | const std::string & | inSeriesUID
| ) |  |

static

Examples:
  GenerateRTSTRUCT.cxx.

static std::string gdcm::DirectoryHelper::GetFrameOfReference | ( | const std::vector< DataSet > & | inDS | ) |

static

static Directory::FilenamesType gdcm::DirectoryHelper::GetMRImageSeriesUIDs | ( | const std::string & | inDirectory | ) |

static

static Directory::FilenamesType gdcm::DirectoryHelper::GetRTStructSeriesUIDs | ( | const std::string & | inDirectory | ) |

static

Examples:
  GenerateRTSTRUCT.cxx.

static Directory::FilenamesType gdcm::DirectoryHelper::GetSeriesUIDsBySOPClassUID | ( | const std::string & | inDirectory,
|  | const std::string & | inSOPClassUID
| ) |  |

static

static std::string gdcm::DirectoryHelper::GetSOPClassUID | ( | const std::vector< DataSet > & | inDS | ) |

static

static std::string gdcm::DirectoryHelper::GetStringValueFromTag | ( | const gdcm::Tag & | t,
|  | const gdcm::DataSet & | ds
| ) |  |

static

static std::vector<DataSet> gdcm::DirectoryHelper::LoadImageFromFiles | ( | const std::string & | inDirectory,
|  | const std::string & | inSeriesUID
| ) |  |

static

static std::string gdcm::DirectoryHelper::RetrieveSOPInstanceUIDFromIndex | ( | int | inIndex,
|  | const std::vector< DataSet > & | inDS
| ) |  |

static

static std::string gdcm::DirectoryHelper::RetrieveSOPInstanceUIDFromZPosition | ( | double | inZPos,
|  | const std::vector< DataSet > & | inDS
| ) |  |

static

The documentation for this class was generated from the following file:

- gdcmDirectoryHelper.h